/*! HTML5 Boilerplate v9.0.1 | MIT License | https://html5boilerplate.com/ */

/* main.css 3.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */
:root {
  --main:#8c6bf6;
  /* --main:#efa5ca; */
  --txt:#373334;
}

html {
  color: var(--txt);
  line-height: 1.4;
  scroll-behavior: smooth;
  font-size: 62.5%;
  font-family:"Zen Kaku Gothic New", sans-serif;
}

::-moz-selection {
  text-shadow: none;
}

::selection {
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

body {
  font-size: 1.6rem;
  line-height: 1.8;
  height: 100vh;
  margin: 0;
background: url(../img/bg.svg) no-repeat bottom 24px right 16px / 20vw #fff;
  background-attachment: fixed;
}


ul, ol {
   padding-inline-start: 0px;
}

ol {
  padding-left: 1.5rem;
}

.headLogo {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  background-color: #fff;
  padding: 0.3em;
  position: fixed;
  z-index: 999;
  top: 0;
  width: 100%;
  height: 40px;
}

.headLogo img{
  width: 180px;
}

#heroimg picture img {
  width:100vw;
  margin: 0 auto;
  margin-top: 40px;
}

.container {
  margin: 0 auto;
  padding: 0 20px 80px;
  width: 90vw;
  max-width: 1280px;
  backdrop-filter: blur(4px);
  background-color: rgba(255, 255, 255, 0.6);
}

.container img {
  margin: 0 auto;
  max-width: 800px;
  width: 100%;
}

.container .p_list img {
  max-width: 980px;
}

.w30p {
  width: 30%;
  margin: 0 auto;
}

.w60p {
  width: 60%;
  margin: 0 auto;
}

.w80p {
  width: 80%;
  margin: 0 auto;
}

.mt2{
  margin-top: 2.0rem;
}

.mt5{
  margin-top: 5.0rem;
}

.txtc {
  text-align: center;
}
.txt_memo {
  font-size: 12px;
}

.txt_mainc {
  color: var(--main);
}

.txtb {
  font-weight: 700;
}

a:not([class]):hover{
  opacity: 0.6;
}

.txt-emphasis {
  font-size: 1.7rem;
  font-weight: 700;
  color: red;
}

nav ul {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 16px;
  row-gap: 16px;
  width: 100%;
  margin: 0;
  padding: 0;
  padding-top: 40px;
  justify-content: center;
}

@media screen and (min-width:1125px) {
  nav ul.--main {
  grid-template-columns: repeat(4, 240px);
}
}

.button {
  font-size: 1.5rem;
  font-family: inherit;
  font-weight: 700;
  cursor: pointer;
  transition: all 0.2s ease;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
  position: relative;
  color: var(--main);
  letter-spacing: 0.1em;
  text-decoration: none;
  border: 1px solid var(--main);
  border-radius: 50px;
}

.button::after {
  position: absolute;
  content: "";
  mask-image: url(../img/ico_01.svg);
  width: 16px;
  aspect-ratio: 1 /1 ;
  background: var(--main);
  mask-position: center;
  mask-size: cover;
  mask-repeat: no-repeat;
  right: 8px;
  top: 50%;
  transform: translateY(-50%);
  transition: all .2s ease;
}

.button:hover {
  opacity: 0.8;
}
.button:hover::after {
  transform: translateY(-50%) translateX(6px);
}

.button a {
  text-decoration: none;
}

.disc_btn {
  display: inline-block;
  margin-top: 1.5em;
  padding: 0.5em 3.5em;
  background: var(--main);
  color: #fff;
  text-decoration: none;
  border-radius: 50px;
  transition: background-color 0.3s;
}

.disc_btn:hover {
  opacity: 0.8;
  
}
/* comingsoon関連 */

.disc_btn_cs {
  display: inline-block;
  margin-top: 1.5em;
  padding: 0.5em 3.5em;
  background: #fff;
  color: var(--main);
  border: 2px solid var(--main);
  text-decoration: none;
  border-radius: 50px;
  opacity: 0.8;
}


footer {
  padding: 2em 0 3em;
  font-size: 1.5rem;
  color: #fff;
  background: var(--txt);
}

.footer__navi {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  margin-bottom: 2rem;
}

.footer__navi li {
  display: inline-block;
}

.footer__navi li:not(:last-child) {
  margin-right: 16px;
}

.footer__logo {
  display: inline-block;
  margin-bottom: 1rem;
}

.ttl_frame {
  position: relative;
  margin: 80px auto 64px;
  text-align: center;
  padding: 0.6em 0;
  width: 500px;
  border-radius: 99px;
  border: 1px solid var(--txt);
}

.ttl_frame::before {
  content: "";
  position: absolute;
  width: 40px;
  height: 10px;
  border-radius: 99px;
  top: 50%;
  transform: translateY(-50%);
  left:-16px;
  border: 1px solid var(--main);
}
.ttl_frame::after {
  content: "";
  position: absolute;
  width: 10px;
  height: 10px;
  border-radius: 99px;
  top: 50%;
  transform: translateY(-50%);
  left:-33px;
  border: 1px solid var(--main);
}

.ttl_text {
  z-index: 1;
  font-weight: 700;
  font-style: normal;
  font-size: 2.2rem;
  text-align: center;
  color: var(--txt);
  letter-spacing: 0.05em;
  position: relative;
  z-index: 2;
}

.box {
  padding: 6rem;
  border-radius: 16px;
  border: 1px solid var(--txt);
}

#infomation .box {
  padding: 3rem;
}

.box h3 {
  margin-top: 0;
  color: var(--main);
}

.box h3:nth-child(n+2) {
  margin-top: 32px;
}

.informationflex {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 16px;
  height: 100%;
}

.place {
  height: 40%;
}

.schedule,
time {
  height: calc((60% -16px) / 2);
}

.ProductGrid {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 16px;
  padding: 0 2em;
}

.Card {
  text-align: center;
  background: white;
  border-radius: 10px;
  box-shadow: 0px 12px 28px 0px rgba(0, 0, 0, 0.2);
  overflow: hidden;
}

/* .Card p span {
  font-size: 0.8rem;
} */

.CardDescription {
  padding: 18px;
}

.CardDescription h3 {
  margin: 0;
}

.ProdctImg {
  width: 100%;
}

.descriptiontxt {
  line-height: 1.8;
}
.descriptionList li{
  list-style: decimal;
}

.descriptionList li::marker{
  font-weight: bold;
}

.descriptionList li span{
  font-weight: bold;
  margin-top: 1.2em;
  display: block;
}

.cautions li,
.reserve_list li {
  list-style: none; 
  padding-left: 1.2em;
  text-indent: -1.2em; 
}

.cautions li::before,
.reserve_list li::before {
  content: "・";
  margin-right: 0.5em;
}

.reserve_list li:not(:first-child),
.caution_list li:not(:first-child){
margin-top: .5em;
}

.reserve_list li:nth-child(16) {
margin-top: 2.5em;
}
.reserve_box {
  margin-top: 40px;
}
.reserve_btn {
  margin-top: 0;
  margin-bottom: 24px;
  position: relative;
}
.reserve_btn::after {
  position: absolute;
  content: "";
  mask-image: url(../img/ico_01.svg);
  width: 16px;
  aspect-ratio: 1 /1 ;
  background: #fff;
  mask-position: center;
  mask-size: cover;
  mask-repeat: no-repeat;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
  transition: all .2s ease;
}
.complite_img_box {
  margin-top: 24px;
}

.food_list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 16px;
}
.food_list li {
  width: calc(50% - 8px);
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 12px;
  justify-content: space-between;
  align-items: center;
  text-align: center;
}

.btn_frame {
  background-color: #000000;
  color: #fff;
  margin-top: 2.0em;
  padding: 10px 20px;
  border-radius: 4px;
  transition: background-color 0.3s;
}

.btn_frame:hover {
  background-color: #363636;
}

.sp-only {
  display: none;
}

.copyright {
    font-size: 11px;
    text-align: center;
}

.customer {
  margin-top:3.0em;
}

.map-container {
	position: relative;
  margin-top: 1.0rem;
	padding-top: 75%; /* 4:3 アスペクト比 */
	height: 0;
}

.map-container iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

@media only screen and (min-width: 768px) and (max-width: 1124px) {
  nav ul {
    grid-template-columns: repeat(3, 1fr);
  }
  .ProductGrid {
    grid-template-columns: repeat(3, 1fr);
  }
    .informationgrid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media only screen and (max-width: 767px) {
body {
  background: url(../img/bg.svg) no-repeat bottom 24px right / 50vw;
  background-attachment: fixed;
}
  #heroimg picture img{
    width: 100%;
  }

  .container {
    width: 96vw;
    padding: 0 20px 80px;
  }

  .w30p, .w60p, .w80p {
    width: 100%;
  }
  nav {
    padding: 0;
  }

  nav ul {
    grid-template-columns: repeat(2, 1fr);
    gap: 8px;
  }
  
  .button {
    font-size: 1.4rem;
  }

  .ProductGrid {
    grid-template-columns: repeat(2, 1fr);
    padding: 0;
    gap: 24px;
  }

  .informationgrid {
    grid-template-columns: repeat(1, 1fr);
    gap: 48px;
    padding: 0;    
  }

  .ttl_frame {
    width: 85%;
  }
  .ttl_frame::before {
  left:-8px;
}
.ttl_frame::after {
  left:-22px;
  border: 1px solid var(--main);
  /* background-color: var(--main); */
}

  .box {
    padding: 3rem;
  }

  .sp-only {
    display: block;
  }

  .copyright {
    font-size: 9px;
}
.food_list {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  gap: 16px;
}
.food_list li {
  width: 100%;
}
 }

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Clearfix: contain floats
 *
 * The use of `table` rather than `block` is only necessary if using
 * `::before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: "";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}

